Bug 217899 - heartbeat only loads softdog watchdog module
heartbeat only loads softdog watchdog module
Product: Fedora
Classification: Fedora
Component: heartbeat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-30 12:50 EST by Henning Schmiedehausen
Modified: 2008-03-15 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-15 12:38:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henning Schmiedehausen 2006-11-30 12:50:54 EST
Description of problem:

The heartbeat startup script (/etc/rc.d/init.d/heartbeat) has the softdog 
Software watchdog module hardcoded in the startup script.

This is bad, because I have HS 20 IBM Blades which have a i6300esb watchdog
that I want to use for heartbeat.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Buy an IBM blade center (hey, RedHat has one)...
2. install heartbeat on an HS-20 blade
3. put alias watchdog i6300esb in /etc/modprobe.conf
4. configure and start heartbeat.

Actual results:

The softdog module gets loaded

Expected results:

The i6300esb module should get loaded.

Additional info:

I've added 

alias softdog i6300esb to my modprobe.conf to amend the problem. Still, the
startup scripts should load a generic name (probably just 'watchdog') to allow
users to alias the watchdog that they want to use instead of just softdog.
Comment 1 Kevin Fenzi 2007-02-26 13:40:51 EST
I'm taking over the heartbeat package, so reassigning this for me to look at. 
Comment 2 Kevin Fenzi 2007-02-28 23:13:08 EST
Looking at this, it looks like a bug that we would want to get upstream to fix up. 

Would you be willing to file this bug upstream? 
If not, I can do so if you are willing to assist me with any info needed... 
Comment 3 Kevin Fenzi 2008-02-20 22:03:18 EST
Wow... this is an old one. Sorry for having it drop off the radar. ;( 

Do you still see this from recent heartbeat packages? 
Comment 4 Kevin Fenzi 2008-03-15 12:38:25 EDT
Since there is no response, I am going to go ahead and close this now. 

Feel free to reopen it and/or file a new bug against the current heartbeat if
you still see this. 

Note You need to log in before you can comment on or make changes to this bug.